# Flatpak version of Praat

## Overview
This is [Praat](https://www.fon.hum.uva.nl/praat/) packaged as a Flatpak package, which is especially useful in immutable distros like Fedora Silverblue, which may lack some of the packages that it expects. Specifically, Fedora lacks `libc++.so.1`, which is the only thing that is bundled right now (apart from the common Flatpak runtimes, which may also be useful for cross-distro compatibility). Further dependencies may need to be included if there are issues in using Praat. Right now, the features (opening files, view/edit, TextGrid…) I have briefly tested seemed to work fine.

## Building
I provide prebuilt .flatpak bundles, but the build can easily be reproduced by running e.g.:

    > flatpak-builder --user --force-clean --install-deps-from=flathub --repo=repo --install builddir nl.uva.praat
    
Then the Flatpak file can be produced by the following command:

    > flatpak build-bundle repo praat.flatpak nl.uva.praat
    
It would be convenient to integrate this package into [Flathub](https://flathub.org/), but I will distribute it standalone for the time being, because there may be some pitfalls I am not aware of.

I am not affiliated with Praat developers in any way. This repo and the metadata are public domain ([CC0](https://creativecommons.org/public-domain/cc0/)). The Praat project itself is licensed under [GNU GPL 3.0](https://www.gnu.org/licenses/gpl-3.0.en.html) or higher.
